Subject: Re: bug#10887: 24.0.93; lazy-highlighting in `query-replace' after a word-type Isearch

From: Dani Moncayo <[email-masked]>
Date: Mon, 27 Feb 2012 14:22:57 +0100

>> Recipe from "emacs -Q":
>> 1. aa bb RET RET aa RET bb RET
>> 2. C-s M-s w aa bb RET
>> 3. M-<
>> 4. M-% aa bb RET xx RET
>>
>> I observe that the "aa<RET>bb" part is lazy-highlighted, but obviously
>> it should not be, because the query-replace will never get there (it's
>> doing a normal search, not a word-type one).
>
> Thanks for the report.  For 24.1 it could be fixed with the patch below.

I've done a quick test, and it seems to work.  Thanks.

> (In 24.2 for the true "word-replace" `replace-highlight' may need a new
> argument `word' that will use isearch word mode for lazy-highlighting.)

I'm looking forward for this true "word-replace".  :)

-- 
Dani Moncayo